%define section         non-free

%define origin          sun
%define priority        1413
%define javaver         1.4.1
%define buildver        04

%define name            java-%{javaver}-%{origin}
%define version         %{javaver}.%{buildver}
%define release         2jpp

%define cvs_version     1_4_1_%{buildver}
%define archive_name    j2sdk-%{cvs_version}-linux-i586.bin

%define sdklnk          java-%{javaver}-%{origin}
%define jrelnk          jre-%{javaver}-%{origin}
%define sdkdir          %{name}-%{version}
%define jredir          %{sdkdir}/jre
%define sdkbindir       %{_jvmdir}/%{sdklnk}/bin
%define jrebindir       %{_jvmdir}/%{jrelnk}/bin
%define jvmjardir       %{_jvmjardir}/%{name}-%{version}

%define toplevel_dir    j2sdk%{javaver}_%{buildver}
%define x11bindir       %{_prefix}/X11R6/bin
%define x11encdir       %{_prefix}/X11R6/lib/X11/fonts/encodings
%define fontconfigdir   %{_sysconfdir}/fonts
%define fontdir         %{_datadir}/fonts/java
%define xsldir          %{_datadir}/sgml/%{name}-%{version}

%define javaws_ver      1.2.0
%define javaws_version  1_2_0_%{buildver}

%define pluginname      %{_jvmdir}/%{jredir}/plugin/i386/ns610/libjavaplugin_oji.so

# This prevents aggressive stripping on RHL 9.
%define debug_package %{nil}

# rpm 4.2+'s internal dependency generator produces bogus Provides and
# results in broken dependencies.  Skip it, and use the normal find-provides
# and -requires scriptlets.  This shouldn't have any effect on rpm < 4.2.
%define _use_internal_dependency_generator 0

Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          0
Summary:        Java Runtime Environment for %{name}
License:        Sun Binary Code License
Group:          Development/Interpreters
Vendor:         JPackage Project
Distribution:   JPackage
URL:            http://java.sun.com/j2se/1.4.1/
Source0:        %{archive_name}
Source1:        register-java-fonts.xsl
Source2:        unregister-java-fonts.xsl
NoSource:       0
Provides:       jre-%{javaver}-%{origin} = %{epoch}:%{version}, jre-%{javaver},
Provides:       jre-%{origin} = %{epoch}:%{version}, jre = %{javaver}
Provides:       java-%{javaver}, java-%{origin} = %{epoch}:%{version},
Provides:       java = %{javaver}
Requires:       /usr/sbin/update-alternatives
Requires:       jpackage-utils >= 0:1.5.14
Conflicts:      kaffe
BuildArch:      i586
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  jpackage-utils >= 0:1.5, sed, /usr/bin/perl, /usr/bin/unzip
Provides:       javaws = %{javaws_ver}
Provides:       jndi = %{epoch}:%{version}, jndi-ldap = %{epoch}:%{version}
Provides:       jndi-cos = %{epoch}:%{version}, jndi-rmi = %{epoch}:%{version}
Provides:       jndi-dns = %{epoch}:%{version}
Provides:       jaas = %{epoch}:%{version}
Provides:       jsse = %{epoch}:%{version}
Provides:       jce = %{epoch}:%{version}
Provides:       jdbc-stdext = 3.0, jdbc-stdext = %{epoch}:%{version}
Provides:       libverify.so(VER_1)

%description
This package contains the Java Runtime Environment for %{name}

%package devel
Summary:        Java Development Kit for %{name}
Group:          Development/Compilers
Requires:       /usr/sbin/update-alternatives
Provides:       java-sdk-%{javaver}-%{origin} = %{epoch}:%{version}, java-sdk-%{javaver}
Provides:       java-sdk-%{origin} = %{epoch}:%{version}, java-sdk = %{javaver}
Provides:       java-%{javaver}-devel, java-devel-%{origin} = %{epoch}:%{version}
Provides:       java-devel = %{javaver}
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
The JavaTM Development Kit (JDKTM) contains the software and tools that
developers need to compile, debug, and run applets and applications
written using the Java programming language.

%package        src
Summary:        Source files for %{name}
Group:          Development/Interpreters
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    src
This package contains source files for %{name}.

%package        demo
Summary:        Demonstration files for %{name}
Group:          Development/Interpreters
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    demo
This package contains demonstrations files for %{name}.

%package        plugin
Summary:        Browser plugin files for %{name}
Group:          Internet/WWW/Browsers
Requires:       %{name} = %{epoch}:%{version}-%{release}, %{_bindir}/mozilla
Requires:       %{_bindir}/find, sed
Provides:       java-plugin = %{javaver}, java-%{javaver}-plugin = %{version}
Conflicts:      java-%{javaver}-ibm-plugin, java-%{javaver}-blackdown-plugin
Obsoletes:      java-1.3.1-plugin, java-1.4.0-plugin

%description    plugin
This package contains browser plugin files for %{name}.

%package        jdbc
Summary:        JDBC files for %{name}
Group:          Development/Libraries/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
AutoReqProv:    no
Requires:       libodbc.so.1
Requires:       libodbcinst.so.1

%description    jdbc
This package contains JDBC files for %{name}.

%package        fonts
Summary:        TrueType fonts for %{origin} JVMs
Group:          Text Processing/Fonts
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{_bindir}/ttmkfdir
Requires:       %{_sbindir}/chkfontpath
Requires:       %{x11bindir}/mkfontdir
Requires:       /usr/bin/perl
Provides:       java-fonts = %{javaver}, java-%{javaver}-fonts
Conflicts:      java-%{javaver}-ibm-fonts, java-%{javaver}-bea-fonts, java-%{javaver}-blackdown-fonts
Obsoletes:      java-1.3.1-fonts, java-1.4.0-fonts

%description    fonts
This package contains the TrueType fonts for %{origin} JVMs.

# -----------------------------------------------------------------------------

%prep
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{toplevel_dir}
# crappy archive won't stop us
export MORE=10000
sh %{SOURCE0} <<EOF
yes
EOF

%setup -T -D -n %{toplevel_dir}
# fix perms
chmod -R go=u-w *
chmod -R u+w *

# -----------------------------------------------------------------------------

%build
# Nope.

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# main files
install -d -m 755 $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}
cp -a bin include lib src.zip $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}
install -d -m 755 $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}

# extensions handling
install -d -m 755 $RPM_BUILD_ROOT%{jvmjardir}
pushd $RPM_BUILD_ROOT%{jvmjardir}
   ln -s %{_jvmdir}/%{jredir}/lib/jsse.jar jsse-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/jce.jar jce-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar jndi-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar jndi-ldap-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar jndi-cos-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar jndi-rmi-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar jaas-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar jdbc-stdext-%{version}.jar
   ln -s jdbc-stdext-%{version}.jar jdbc-stdext-3.0.jar
   for jar in *-%{version}.jar ; do
      ln -fs ${jar} $(echo $jar | sed "s|-%{version}.jar|-%{javaver}.jar|g")
      ln -fs ${jar} $(echo $jar | sed "s|-%{version}.jar|.jar|g")
   done
popd

# Plugin
cp -a jre/bin jre/lib jre/plugin .systemPrefs $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}

# version-less symlinks
pushd $RPM_BUILD_ROOT%{_jvmdir}
ln -s %{jredir} %{jrelnk}
ln -s %{sdkdir} %{sdklnk}
popd

pushd $RPM_BUILD_ROOT%{_jvmjardir}
ln -s %{sdkdir} %{jrelnk}
ln -s %{sdkdir} %{sdklnk}
popd

# even two crappy archives won't stop us
export MORE=10000
unzip -q jre/javaws-%{javaws_version}-linux-i586-i.zip
HOME=$RPM_BUILD_ROOT INSTALL_DIR=$RPM_BUILD_ROOT sh ./install.sh <<EOF
yes
$RPM_BUILD_ROOT%{_jvmdir}/%{jredir}
EOF
rm -f jre/javaws-%{javaws_version}-linux-i586-i.zip
install -d -m 755 $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/javaws
cp -a javaws/* $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/javaws
perl -p -i -e 's#javaws\.cfg\.jre\.0\.path=.*#javaws\.cfg\.jre\.0\.path=%{jredir}/bin/java#' $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/javaws/javaws.cfg
rm -f $RPM_BUILD_ROOT/.mailcap
rm -f $RPM_BUILD_ROOT/.mime.types

# man pages
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
for manpage in man/man1/*; do
  install -m 644 -p $manpage $RPM_BUILD_ROOT%{_mandir}/man1/`basename $manpage .1`-%{name}.1
done
# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a demo $RPM_BUILD_ROOT%{_datadir}/%{name}


### font handling

pushd $RPM_BUILD_ROOT/%{_jvmdir}/%{jredir}/lib

   # Remove font.properties and use the system-wide one -- NiM
   rm -f font.properties
   ln -fs %{_sysconfdir}/java/font.properties .

   # remove supplied fonts.dir in preference of the one to be dynamically generated -- Rex
   rm fonts/fonts.dir

   # These %ghost'd files are created properly in %post  -- Rex
   touch fonts/{fonts.{alias,dir,scale,cache-1},XftCache,encodings.dir}

   if [ "%{fontdir}" != "%{jredir}/lib/fonts" ] ; then
      install -d -m 755 $RPM_BUILD_ROOT%{fontdir}
      mv fonts/* $RPM_BUILD_ROOT%{fontdir}
      rmdir fonts
      ln -fs %{fontdir} fonts
   fi

popd

# font registration/unregistration
install -d -m 0755 $RPM_BUILD_ROOT%{xsldir}
install -m 0644 %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT%{xsldir}

# Most of this shamelessly stolen from redhat's kdebase-2.2.2 specfile
find $RPM_BUILD_ROOT%{_jvmdir}/%{jredir} -type d | sed 's|'$RPM_BUILD_ROOT'|%dir |' >  $RPM_BUILD_DIR/%{name}-%{version}-%{release}-all.files
find $RPM_BUILD_ROOT%{_jvmdir}/%{jredir} -type f | sed 's|'$RPM_BUILD_ROOT'||'      >> $RPM_BUILD_DIR/%{name}-%{version}-%{release}-all.files
find $RPM_BUILD_ROOT%{_jvmdir}/%{jredir} -type l | sed 's|'$RPM_BUILD_ROOT'||'      >> $RPM_BUILD_DIR/%{name}-%{version}-%{release}-all.files

cat $RPM_BUILD_DIR/%{name}-%{version}-%{release}-all.files | grep plugin      | sort > $RPM_BUILD_DIR/%{name}-%{version}-%{release}-plugin.files
cat $RPM_BUILD_DIR/%{name}-%{version}-%{release}-all.files | grep Jdbc        | sort > $RPM_BUILD_DIR/%{name}-%{version}-%{release}-jdbc.files
cat $RPM_BUILD_DIR/%{name}-%{version}-%{release}-all.files | grep -v plugin | grep -v Jdbc | grep -v "lib/fonts" | sort > $RPM_BUILD_DIR/%{name}-%{version}-%{release}.files

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT
rm -f $RPM_BUILD_DIR/%{name}-%{version}-%{release}*.files

# -----------------------------------------------------------------------------

%preun fonts
[ "$1" = "0" ] || exit 0
                                                                                
 # Unregister self in fontconfig aliases
if [ -w %{fontconfigdir}/fonts.conf ] ; then
   TMPFILE=$(/bin/mktemp -q /var/tmp/fonts.conf.XXXXXX) && \
   %{_bindir}/xsltproc --novalid %{xsldir}/unregister-java-fonts.xsl \
        %{fontconfigdir}/fonts.conf > $TMPFILE && \
   /bin/cat $TMPFILE > %{fontconfigdir}/fonts.conf && /bin/rm $TMPFILE
fi

%post
[ -f %{_mandir}/man1/java-%{name}.1.bz2 ] && ext="bz2"
[ -f %{_mandir}/man1/java-%{name}.1.gz ] && ext="gz"

update-alternatives --install %{_bindir}/java java %{jrebindir}/java %{priority} \
--slave %{_jvmdir}/jre                     jre                         %{_jvmdir}/%{jrelnk} \
--slave %{_jvmjardir}/jre                  jre_exports                 %{_jvmjardir}/%{jrelnk} \
--slave %{_bindir}/keytool                 keytool                     %{jrebindir}/keytool \
--slave %{_bindir}/orbd                    orbd                        %{jrebindir}/orbd \
--slave %{_bindir}/policytool              policytool                  %{jrebindir}/policytool \
--slave %{_bindir}/rmid                    rmid                        %{jrebindir}/rmid \
--slave %{_bindir}/rmiregistry             rmiregistry                 %{jrebindir}/rmiregistry \
--slave %{_bindir}/servertool              servertool                  %{jrebindir}/servertool \
--slave %{_bindir}/tnameserv               tnameserv                   %{jrebindir}/tnameserv \
--slave %{_mandir}/man1/java.1.$ext        java.1.$ext                 %{_mandir}/man1/java-%{name}.1.$ext \
--slave %{_mandir}/man1/keytool.1.$ext     keytool.1.$ext              %{_mandir}/man1/keytool-%{name}.1.$ext \
--slave %{_mandir}/man1/orbd.1.$ext        orbd.1.$ext                 %{_mandir}/man1/orbd-%{name}.1.$ext \
--slave %{_mandir}/man1/policytool.1.$ext  policytool.1.$ext           %{_mandir}/man1/policytool-%{name}.1.$ext \
--slave %{_mandir}/man1/rmid.1.$ext        rmid.1.$ext                 %{_mandir}/man1/rmid-%{name}.1.$ext \
--slave %{_mandir}/man1/rmiregistry.1.$ext rmiregistry.1.$ext          %{_mandir}/man1/rmiregistry-%{name}.1.$ext \
--slave %{_mandir}/man1/servertool.1.$ext  servertool.1.$ext           %{_mandir}/man1/servertool-%{name}.1.$ext \
--slave %{_mandir}/man1/tnameserv.1.$ext   tnameserv.1.$ext            %{_mandir}/man1/tnameserv-%{name}.1.$ext \
--slave %{_datadir}/javaws                 javaws                      %{_jvmdir}/%{jrelnk}/javaws \
--slave %{_bindir}/ControlPanel            ControlPanel                %{jrebindir}/ControlPanel

update-alternatives --install %{_jvmdir}/jre-%{origin} jre_%{origin} %{_jvmdir}/%{jrelnk} %{priority} \
--slave %{_jvmjardir}/jre-%{origin}        jre_%{origin}_exports       %{_jvmjardir}/%{jrelnk}

update-alternatives --install %{_jvmdir}/jre-%{javaver} jre_%{javaver} %{_jvmdir}/%{jrelnk} %{priority} \
--slave %{_jvmjardir}/jre-%{javaver}       jre_%{javaver}_exports      %{_jvmjardir}/%{jrelnk}

perl -p -i -e "s#application/x-java-jnlp-file.*##" %{_sysconfdir}/mailcap.bak 2>/dev/null
echo "type=application/x-java-jnlp-file; description=\"Java Web Start\"; exts=\"jnlp\"" >> %{_sysconfdir}/mailcap 2>/dev/null

perl -p -i -e "s#application/x-java-jnlp-file.*##" %{_sysconfdir}/mime.types 2>/dev/null
echo "application/x-java-jnlp-file      jnlp" >> %{_sysconfdir}/mime.types 2>/dev/null

%post devel
[ -f %{_mandir}/man1/javac-%{name}.1.bz2 ] && ext="bz2"
[ -f %{_mandir}/man1/javac-%{name}.1.gz ] && ext="gz"

update-alternatives --install %{_bindir}/javac javac %{sdkbindir}/javac %{priority} \
--slave %{_jvmdir}/java                     java_sdk                    %{_jvmdir}/%{sdklnk} \
--slave %{_jvmjardir}/java                  java_sdk_exports            %{_jvmjardir}/%{sdklnk} \
--slave %{_bindir}/appletviewer             appletviewer                %{sdkbindir}/appletviewer \
--slave %{_bindir}/extcheck                 extcheck                    %{sdkbindir}/extcheck \
--slave %{_bindir}/idlj                     idlj                        %{sdkbindir}/idlj \
--slave %{_bindir}/jar                      jar                         %{sdkbindir}/jar \
--slave %{_bindir}/jarsigner                jarsigner                   %{sdkbindir}/jarsigner \
--slave %{_bindir}/javadoc                  javadoc                     %{sdkbindir}/javadoc \
--slave %{_bindir}/javah                    javah                       %{sdkbindir}/javah \
--slave %{_bindir}/javap                    javap                       %{sdkbindir}/javap \
--slave %{_bindir}/jdb                      jdb                         %{sdkbindir}/jdb \
--slave %{_bindir}/native2ascii             native2ascii                %{sdkbindir}/native2ascii \
--slave %{_bindir}/rmic                     rmic                        %{sdkbindir}/rmic \
--slave %{_bindir}/serialver                serialver                   %{sdkbindir}/serialver \
--slave %{_bindir}/HtmlConverter            HtmlConverter               %{sdkbindir}/HtmlConverter \
--slave %{_mandir}/man1/appletviewer.1.$ext appletviewer.1.$ext         %{_mandir}/man1/appletviewer-%{name}.1.$ext \
--slave %{_mandir}/man1/extcheck.1.$ext     extcheck.1.$ext             %{_mandir}/man1/extcheck-%{name}.1.$ext \
--slave %{_mandir}/man1/idlj.1.$ext         idlj.1.$ext                 %{_mandir}/man1/idlj-%{name}.1.$ext \
--slave %{_mandir}/man1/jar.1.$ext          jar.1.$ext                  %{_mandir}/man1/jar-%{name}.1.$ext \
--slave %{_mandir}/man1/jarsigner.1.$ext    jarsigner.1.$ext            %{_mandir}/man1/jarsigner-%{name}.1.$ext \
--slave %{_mandir}/man1/javac.1.$ext        javac.1.$ext                %{_mandir}/man1/javac-%{name}.1.$ext \
--slave %{_mandir}/man1/javadoc.1.$ext      javadoc.1.$ext              %{_mandir}/man1/javadoc-%{name}.1.$ext \
--slave %{_mandir}/man1/javah.1.$ext        javah.1.$ext                %{_mandir}/man1/javah-%{name}.1.$ext \
--slave %{_mandir}/man1/javap.1.$ext        javap.1.$ext                %{_mandir}/man1/javap-%{name}.1.$ext \
--slave %{_mandir}/man1/jdb.1.$ext          jdb.1.$ext                  %{_mandir}/man1/jdb-%{name}.1.$ext \
--slave %{_mandir}/man1/native2ascii.1.$ext native2ascii.1.$ext         %{_mandir}/man1/native2ascii-%{name}.1.$ext \
--slave %{_mandir}/man1/rmic.1.$ext         rmic.1.$ext                 %{_mandir}/man1/rmic-%{name}.1.$ext \
--slave %{_mandir}/man1/serialver.1.$ext    serialver.1.$ext            %{_mandir}/man1/serialver-%{name}.1.$ext

update-alternatives --install %{_jvmdir}/java-%{origin} java_sdk_%{origin} %{_jvmdir}/%{sdklnk} %{priority} \
--slave %{_jvmjardir}/java-%{origin}        java_sdk_%{origin}_exports  %{_jvmjardir}/%{sdklnk}

update-alternatives --install %{_jvmdir}/java-%{javaver} java_sdk_%{javaver} %{_jvmdir}/%{sdklnk} %{priority} \
--slave %{_jvmjardir}/java-%{javaver}       java_sdk_%{javaver}_exports %{_jvmjardir}/%{sdklnk}

%post fonts
{
    # Legacy font handling

    #%{_bindir}/ttmkfdir is a requirement anyway -- NiM
    %{_bindir}/ttmkfdir -d %{fontdir} -o %{fontdir}/fonts.scale

    # Fixup lame/broken 0-c-0 entries in fonts.scale -- Rex
    %{_bindir}/perl -pi -e 's@0-c-0@0-p-0@g' %{fontdir}/fonts.scale

    %{x11bindir}/mkfontdir -e %{x11encdir} -e %{x11encdir}/large %{fontdir}

    %{_sbindir}/chkfontpath -q -a %{fontdir}

    # Modern font handling
    # These commands will be executed on upgrade by their respective packages
    if [ -x %{_bindir}/fc-cache ] ; then %{_bindir}/fc-cache -f ; fi

    if [ -x %{_bindir}/redhat-update-gnome-font-install ] ; then
        %{_bindir}/redhat-update-gnome-font-install
    fi

    if [ -x %{_bindir}/redhat-update-gnome-font-install2 ] ; then
        %{_bindir}/redhat-update-gnome-font-install2
    fi

} &> /dev/null || :

%triggerin fonts -- fontconfig, %{fontconfigdir}/fonts.conf
                                                                                
TMPFILE=$(/bin/mktemp -q /var/tmp/fonts.conf.XXXXXX) && \
%{_bindir}/xsltproc --novalid %{xsldir}/register-java-fonts.xsl \
   %{fontconfigdir}/fonts.conf > $TMPFILE && \
/bin/cat $TMPFILE > %{fontconfigdir}/fonts.conf && /bin/rm $TMPFILE


%triggerin plugin -- mozilla, %{_bindir}/mozilla
{
   # Read current mozilla root value, deduce plugin dir
   _MOZILLA_PLUGIN_DIR=$(sed -n -e 's|"||g' -e 's|^MOZ_DIST_BIN=\(.*\)$|\1|p' %{_bindir}/mozilla)/plugins

   [ -d "$_MOZILLA_PLUGIN_DIR" ] && ln -sf %pluginname $_MOZILLA_PLUGIN_DIR/libjavaplugin_oji.so
} &> /dev/null || :

%triggerun plugin -- mozilla, %{_bindir}/mozilla
{
   # Do not remove links on upgrade
   [ $2 = 0 ] || exit 0
   # Only remove our own links
   rm -f $(find %{_libdir}/mozilla* -lname %pluginname)
} &> /dev/null || :

%postun plugin
{
   [ $1 = 0 ] || exit 0
   # Only remove our own links
   rm -f $(find %{_libdir}/mozilla* -lname %pluginname)
} &> /dev/null || :

%postun
if [ "$1" = "0" ]; then
        update-alternatives --remove java %{jrebindir}/java
        update-alternatives --remove jre_%{origin}  %{_jvmdir}/%{jrelnk}
        update-alternatives --remove jre_%{javaver} %{_jvmdir}/%{jrelnk}
fi

%postun devel
if [ "$1" = "0" ]; then
        update-alternatives --remove javac %{sdkbindir}/javac
        update-alternatives --remove java_sdk_%{origin}  %{_jvmdir}/%{sdklnk}
        update-alternatives --remove java_sdk_%{javaver} %{_jvmdir}/%{sdklnk}
fi

%postun fonts
# Rehash the font dir to keep only stuff manually installed
{
if [ "$1" = "0" ]; then

   if [  $(find %{fontdir} -follow -type f -iname "*.ttf" -printf "\b\b\b\btrue") ] ; then

        %{_bindir}/ttmkfdir -d %{fontdir} -o %{fontdir}/fonts.scale
        %{x11bindir}/mkfontdir -e %{x11encdir} -e %{x11encdir}/large %{fontdir}

   else
        chkfontpath -q -r %{fontdir}
   fi

   if [ -x %{_bindir}/fc-cache ] ; then %{_bindir}/fc-cache -f ; fi

   if [ -x %{_bindir}/redhat-update-gnome-font-install ] ; then
        %{_bindir}/redhat-update-gnome-font-install
   fi

   if [ -x %{_bindir}/redhat-update-gnome-font-install2 ] ; then
        %{_bindir}/redhat-update-gnome-font-install2
    fi
fi
} &> /dev/null || :

# -----------------------------------------------------------------------------

%files -f ../%{name}-%{version}-%{release}.files
%defattr(-,root,root)
%doc jre/CHANGES jre/COPYRIGHT jre/LICENSE jre/README jre/Welcome.html jre/ControlPanel.html
%dir %{_jvmdir}/%{sdkdir}
%dir %{jvmjardir}
%{_jvmdir}/%{jredir}/lib/fonts
%{jvmjardir}/*.jar
%{_jvmdir}/%{jrelnk}
%{_jvmjardir}/%{jrelnk}
%{_mandir}/man1/java-%{name}.1*
%{_mandir}/man1/keytool-%{name}.1*
%{_mandir}/man1/orbd-%{name}.1*
%{_mandir}/man1/policytool-%{name}.1*
%{_mandir}/man1/rmid-%{name}.1*
%{_mandir}/man1/rmiregistry-%{name}.1*
%{_mandir}/man1/servertool-%{name}.1*
%{_mandir}/man1/tnameserv-%{name}.1*

%files devel
%defattr(-,root,root)
%doc COPYRIGHT LICENSE README README.html
%{_jvmdir}/%{sdkdir}/bin
%dir %{_jvmdir}/%{sdkdir}/include
%dir %{_jvmdir}/%{sdkdir}/lib
%{_jvmdir}/%{sdkdir}/include/*
%{_jvmdir}/%{sdkdir}/lib/*
%{_jvmdir}/%{sdklnk}
%{_jvmjardir}/%{sdklnk}
%{_mandir}/man1/appletviewer-%{name}.1*
%{_mandir}/man1/extcheck-%{name}.1*
%{_mandir}/man1/idlj-%{name}.1*
%{_mandir}/man1/jar-%{name}.1*
%{_mandir}/man1/jarsigner-%{name}.1*
%{_mandir}/man1/javac-%{name}.1*
%{_mandir}/man1/javadoc-%{name}.1*
%{_mandir}/man1/javah-%{name}.1*
%{_mandir}/man1/javap-%{name}.1*
%{_mandir}/man1/jdb-%{name}.1*
%{_mandir}/man1/native2ascii-%{name}.1*
%{_mandir}/man1/rmic-%{name}.1*
%{_mandir}/man1/serialver-%{name}.1*

%files src
%defattr(-,root,root)
%{_jvmdir}/%{sdkdir}/src.zip

%files demo
%defattr(-,root,root)
%{_datadir}/%{name}

%files jdbc -f ../%{name}-%{version}-%{release}-jdbc.files
%defattr(-,root,root)

%files plugin -f ../%{name}-%{version}-%{release}-plugin.files
%defattr(-,root,root)

%files fonts
%defattr(0644,root,root,0755)
%dir %{fontdir}
%{fontdir}/*.ttf
%ghost %{fontdir}/fonts.dir
%ghost %{fontdir}/fonts.scale
%ghost %{fontdir}/fonts.alias
%ghost %{fontdir}/fonts.cache-1
%ghost %{fontdir}/XftCache
%ghost %{fontdir}/encodings.dir
%{xsldir}

# -----------------------------------------------------------------------------

%changelog
* Wed Aug 13 2003 Paul Nasrat <pauln at truemesh.com> - 0:1.4.1.04-2jpp
- Fix missing xsldir in font subpackage files list

* Wed Jul 30 2003 Paul Nasrat <pauln at truemesh.com> - 0:1.4.1.04-1jpp
- Update to 1.4.1_04
- Clean-up defines
- Add xsl font handling

* Sat May 31 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.4.1.03-1jpp
- Update to 1.4.1_03.
- Avoid using rpm 4.2's internal dependency generator, it doesn't DTRT here.
- update-alternatives surgery (do *not* use %%{version} in alternatives).
- Some cosmetic specfile tweaks.

* Sat Apr 26 2003 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 1.4.1.02-68jpp
- use system-wide font preferences
- dump mkalias.pl

* Sat Apr 26 2003 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 1.4.1.02-67jpp
- mkalias.pl is an executable

* Sat Apr 26 2003 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 1.4.1.02-65jpp
- fix a few font handling typos

* Wed Apr 9 2003 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 1.4.1.02-64jpp
- even cleaner plugin install
- share fonts among vendors
- add epochs everywhere
- plugin now depends on %{_bindir}/mozilla

* Mon Apr 7 2003 Nicolas Mailhot <Nicolas.Mailhot at JPackage.org> 1.4.1.02-60jpp
- safer plugin uninstall - should solve upgrading from java-a.b.c-plugin to java-x.y.z-plugin

* Sun Apr 6 2003 Nicolas Mailhot <Nicolas.Mailhot at JPackage.org> 1.4.1.02-59jpp
- trigger plugin install on mozilla install

* Sat Apr 5 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.4.1.02-37jpp
- fix font dir
- more ambitious font uninstall

* Thu Apr 3 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.4.1-36jpp
- silence plugin install

* Tue Apr 1 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.4.1-35jpp
- fix jpackage-utils requires
- fix plugin handling -> do not use a list of mozilla versions, find them

* Wed Mar 26 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.4.1-33jpp
- fix priorities

* Mon Mar 24 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.4.1-30jpp
- add jce

* Mon Mar 24 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.4.1-29jpp
- full jsse handling (jcert, jnet)
- use full version in version to kill the flames
- define epoch

* Tue Mar 18 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.4.1-21jpp
- cleanup (symlinks, provides...)

* Tue Mar 18 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.4.1-15jpp
- more symlinks

* Thu Mar 14 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.4.1-11jpp
- for jpackage-utils 1.5
- fontconfig compat
- changed name

* Thu Mar 13 2003 David Walluck <david@anti-microsoft.org> 1.4.1-2jpp
- 1.4.1_02
- Java Web Start

* Wed Dec 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.1-1jpp
- 1.4.1
- src subpackage
- corrections from Michael Reinsch <mr@uue.org>
 - put src.zip into %%sdkdir, otherwise eclipse won't find it
 - added .systemPrefs, this removes some strange error messages

* Sun Sep 08 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.0.01-1jpp
- upgrades from Rex Dieter <rdieter@unl.edu>:
 - 1.4.1_01
 - %%postun: do not remove alternatives on upgrades.
 - %%post: fix extchek->extcheck typo.
 - %%files: add orbd.1*,policytool.1*,servertool.1*
 - %%files devel: add idlj.1*
 - fonts subpkg
- distribution tag for real

* Sat Jun 08 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.0-4jpp
- upgrades from Rex Dieter <rdieter@unl.edu>:
 - naming: jre -> j2se, jsdk -> j2se-devel
 - plugin, jdbc subpkgs
- spec cleanup
- changed virtual provides to j2se and j2se-devel
- fixed man page alternative setup
- used versioned files for jdbc package requires
- group tags again
- provides and obsoletes jre and jsdk

* Sat May 11 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.0-3jpp
- vendor, distribution, group tags

* Fri Apr 05 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.0-2jpp
- non-free section

* Sat Feb 16 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.0-1jpp
- 1.4.0 final

* Sun Feb 10 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.0-0.rc.1jpp
- first jpp release
